createAnnouncement
POST
/v1/developers/projects/{project_id}/announcements
const url = 'https://testnet-rpc.necter.network/v1/developers/projects/example/announcements';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"title":"example","content":"example","type":"update"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://testnet-rpc.necter.network/v1/developers/projects/example/announcements \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "content": "example", "type": "update" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
title
required
string
content
required
string
type
required
string
Responses
Section titled “Responses”Created
Media typeapplication/json
object
announcement_id
required
string
project_id
required
string
title
required
string
content
required
string
type
required
string
author
Lowercase EVM address
string
created_at
required
integer
Example
{ "type": "update"}Authenticated but not allowed (forbidden, not_owner, not_enrolled, not_verified, scope_missing)
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}